<?php
include '../config.php';
// prevent XSS
$_GET   = filter_input_array(INPUT_GET, FILTER_SANITIZE_STRING);
//$_POST  = filter_input_array(INPUT_POST, FILTER_SANITIZE_STRING);


$enviado = $_GET['enviado'];
///////////ESPAÑOL

    $time = time();
    
    $titulo_es = trim($_GET['titulo_es']);
    $titulo_es = urlencode($titulo_es);//WYSIWYG Editor
    $titulo_es = strip_tags($titulo_es);
    $titulo_es = htmlspecialchars($titulo_es);

    $textoTooltip_es = trim($_GET['textoTooltip_es']);
    $textoTooltip_es = urlencode($textoTooltip_es);//WYSIWYG Editor
    $textoTooltip_es = strip_tags($textoTooltip_es);
    $textoTooltip_es = htmlspecialchars($textoTooltip_es);

    $categoria_es = trim($_GET['categoria_es']);
    $categoria_es = strip_tags($categoria_es);
    $categoria_es = htmlspecialchars($categoria_es);

    ///////////INGLÉS

    $time_en = time();

    $titulo_en = trim($_GET['titulo_en']);
    $titulo_en = urlencode($titulo_en);//WYSIWYG Editor
    $titulo_en = strip_tags($titulo_en);
    $titulo_en = htmlspecialchars($titulo_en);

    $textoTooltip_en = trim($_GET['textoTooltip_en']);
    $textoTooltip_en = urlencode($textoTooltip_en);//WYSIWYG Editor
    $textoTooltip_en = strip_tags($textoTooltip_en);
    $textoTooltip_en = htmlspecialchars($textoTooltip_en);

    $categoria_en = trim($_GET['categoria_en']);
    $categoria_en = strip_tags($categoria_en);
    $categoria_en = htmlspecialchars($categoria_en);

    ///////////////////////PETICIÓN GRAPH CMS
    $curl = curl_init();
    curl_setopt_array($curl, array(
        CURLOPT_URL => $endpoint_graph_cms,
        CURLOPT_RETURNTRANSFER => true,
        CURLOPT_ENCODING => '',
        CURLOPT_MAXREDIRS => 10,
        CURLOPT_TIMEOUT => 0,
        CURLOPT_FOLLOWLOCATION => true,
        CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
        CURLOPT_CUSTOMREQUEST => 'POST',

        CURLOPT_POSTFIELDS =>'{"query":"mutation MyMutation {\\r\\n  createInstrumento(data: {categoria: \\"'.$categoria_en.'\\", enviadoRevision: \\"'.$enviado.'\\", estatus: \\"borrador\\", localizations: {create: {data: {categoria: \\"'.$categoria_es.'\\", enviadoRevision: \\"'.$enviado.'\\", estatus: \\"borrador\\", textoTooltip: \\"'.$textoTooltip_es.'\\", titulo: \\"'.$titulo_es.'\\"}, locale: es_MX}}, titulo: \\"'.$titulo_en.'\\", textoTooltip: \\"'.$textoTooltip_en.'\\"}) {\\r\\n    id\\r\\n  }\\r\\n}","variables":{}}',


        CURLOPT_HTTPHEADER => array(
          'Content-Type: application/json',
          'Cookie: __cfduid=da2693cdfd39b7377a8a05e305da45b8f1613001694'
        ),
      ));

    $response = curl_exec($curl);
    curl_close($curl);
    //echo $response;

    $jsonrespuesta = json_decode($response, true);
    $id = $jsonrespuesta['data']['createInstrumento']['id'];
    //echo $id;

    if(strlen($id)>10){

        echo '
            <script>
                $("#formnew").trigger("reset");
                $("#formnew").trigger("reset");
                $("#respuestanew").append("<h5>Instrumento añadido correctamente.</h5>");
            
                setTimeout(() => {
                    $(".popUpNew").fadeOut();        
                }, 3000);
            </script>';

        
    }

    else{
        $errorclass ="class='errormensaje'"; 
        echo '
        <script>
            $("#respuestanew").append("<p '.$errorclass.'>OCurrió un error al añadir el contenido. Verifica la información o intenta nuevamente en unos minutos.</p>");

            setTimeout(() => {
                //$(".popUpNew").fadeOut();        
            }, 3000);
        </script>';
    }



